Subject: Re: 1.3.2: Cygwin && UDP && O_NONBLOCK
From: "Roderick Groesbeek" <[email-masked]>
To: "Keith Seitz" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 14 Aug 2001 22:15:04 +0200

From: "Keith Seitz" <[email-masked]>
To: "Roderick Groesbeek" <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, August 14, 2001 6:33 PM
Subject: Re: 1.3.2: Cygwin && UDP && O_NONBLOCK

> Why not just #include <netinet/in.h>?

Thnx.
One to remember..
Just like "#!/usr/bin/env perl"    (Why doesn't everybody uses that!)

>
>

Ok keith.
Thnx for your reply, it really helped.

I don't have an excuse for my slappy code....
After struggling, finding out how to use DLLTOOL,
and coming to the conclusion that O_NONBLOCK code
is buggy in Cygwin.
I finally motivated myself to build some UDP server & client test code.
(Borrowed some code from an old C++ project of mine..)
And that even failed, by my own human error.
Anyway.. no excuse.

I'm pretty good, mind you :-)

Anyway, I have extrapolated your sources (based on mine) to the
following.
Would you pls take a look at the server.c code?

It should, when in O_NONBLOCK mode, do some bussy waiting,
just like an awful Kernel Scheduler.

But it just isn't...
And that is the problem I also have in my Library I wanna port to CYGWIN.

I will include the sources in a .tgz.
(Mailinglist will allow attachments?)

Hope you have some spare time to look at it.

Thnx in advance.

Vriendelijke Groet,

Note: For efficiënt work-behaviour, I'm currently only reading my E-mail
twice a day!

Roderick
--
Pettemerstraat 12A                                  T r I p l e
1823 CW Alkmaar                                         T
Tel. +31 (0)72-5129516
fax. +31 (0)72-5129520                              Automatisering
www.triple-it.nl                                 "Laat uw Net Werken!"

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/